<template>
  <div >
    <Change
      v-on:submit="submit"
    >
    </Change>
  </div>
</template>

<script>
import Change from '@/components/employeePanel/ChangePass.vue';
import { mapGetters } from 'vuex';
// eslint-disable-next-line import/no-cycle
import { getCurrentUser } from '@/firebase/db';

export default {
  components: {
    Change,
  },
  computed: {
    ...mapGetters({
      snackbarText: 'getSnackbarText',
      showSnackbar: 'getShowSnackbar',
    }),
  },
  created() {
  },
  methods: {
    submit(password) {
      getCurrentUser().updatePassword(password).then(() => {
      // Update successful.
        console.log('hello this is updated');
        this.$store.dispatch('setSnackbarText', 'Updated Password Successfully');
        this.$store.dispatch('setShowSnackbar', true);
        this.$router.replace({ name: 'EmployeeInfo' });
      }).catch((error) => {
        this.$store.dispatch('setSnackbarText', error.message);
        this.$store.dispatch('setShowSnackbar', true);
      });
    },
  },
};
</script>
